Subject: cache:warmup should cache every possible configuration
Description

currently, flow:cache:warmup only caches configuration on a random base; however, every possible configuration source should be
touched and cached in order to prepare the Production environment, for example.

Associated revisions
Revision 88dd9edb - 2013-09-10 15:13 - Adrian Föder

[FEATURE] Let cache:warmup warm up every configured configuration type

When having done a flow:cache:warmup, the Configuration Manager only cached
the configurations which were necessary during the CLI command invocation,
so, for example, Routes, Views, NodeTypes etc. were not cached.

This change introduces a SignalSlot listening to the warmupCache signal,
and touching every configured configuration type in order to make it
present in the configurations array, ready for later storing.

Change-Id: I82f508b977cc4146fa5fd46ab82581a5f4156ea5
Resolves: #51652
Releases: master

History
#1 - 2013-09-02 16:29 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23538

#2 - 2013-09-10 15:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23538

#3 - 2013-09-10 17:35 - Adrian Föder
- Status changed from Under Review to Resolved

2015-08-04 1/2

https://review.typo3.org/23538
https://review.typo3.org/23538


- % Done changed from 0 to 100

Applied in changeset commit:88dd9edb9b54c9f89e27cbfaf984a68c6e2f2ea7.
